/**
 * Spinner
 */
.spinner-wrapper {
  position: absolute;
  inset: 0;
  background-color: rgba(255, 255, 255, 0.8);
  z-index: 999999;
  display: none;
}

.spinner-wrapper.loading {
  display: grid;
  place-items: center;
}

.spinner {
  width: 40px;
  height: 40px;
  background-color: #0c878e;
  margin: 100px auto;
  animation: spinner-rotateplane 1.2s infinite ease-in-out;
}

@keyframes spinner-rotateplane {
  0% {
    transform: perspective(120px) rotateX(0deg) rotateY(0deg);
  }
  50% {
    transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg);
  }
  100% {
    transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
  }
}

.events_header {
  padding: 60px 20px;
}

.events_header .wrapper .title {
  margin-left: auto;
  margin-right: auto;
  max-width: 925px;
  font-family: "Onest", sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 42px;
  line-height: 52px;
  text-align: center;
  color: #202020;
}

@media (max-width: 1200px) {
  .events_header .wrapper .title {
    max-width: 825px;
    font-size: 38px;
  }
}

@media (max-width: 750px) {
  .events_header .wrapper .title {
    max-width: 650px;
    font-size: 34px;
    line-height: 45px;
  }
}

@media (max-width: 550px) {
  .events_header .wrapper .title {
    max-width: 350px;
    font-size: 30px;
    line-height: 36px;
  }
}

@media (max-width: 750px) {
  .events_header {
    padding: 60px 10px;
  }
}

@media (max-width: 550px) {
  .events_header {
    padding-top: 40px;
    padding-bottom: 40px;
  }
}

.events_filter {
  padding-bottom: 40px;
}

.events_filter .wrapper .filter_control .control_img {
  display: none;
}

.events_filter .wrapper .filter_control .control_body {
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: flex;
  -webkit-align-items: center;
  align-items: center;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-flex-wrap: wrap;
  flex-wrap: wrap;
  row-gap: 1em;
}

.events_filter .wrapper .filter_control .control_body .ael_el {
  max-width: 175px;
  box-sizing: border-box;
  height: 38px;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 8px 16px;
  background: #ffffff;
  border: 1px solid #dddddd;
  border-radius: 30px;
  font-family: "Onest", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 22px;
  color: #252c32;
  margin-right: 8px;
  padding-right: 30px;
  background-image: url(../images/icons/vector.svg);
  background-size: auto;
  background-repeat: no-repeat;
  background-position: top 53% right 12px;
  cursor: pointer;
}

.events_filter .wrapper .filter_control .control_body .reset_all {
  display: block;
  font-family: "Onest", sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 24px;
  text-align: right;
  text-decoration-line: underline;
  color: #0c878e;
}

@media (max-width: 550px) {
  .events_filter .wrapper .filter_control .reset_all {
    margin-left: 0;
  }
}

@media (max-width: 480px) {
  .events_filter .wrapper .filter_control .control_body {
    display: none;
    padding-top: 15px;
  }
  .events_filter .wrapper .filter_control .control_img {
    margin-left: auto;
    display: block;
    width: 32px;
    height: 32px;
    border-radius: 50%;
    cursor: pointer;
  }
  .events_filter .wrapper .filter_control .control_img svg {
    width: 32px;
    height: 32px;
    fill: none;
  }
}

.events_filter .wrapper .filter_control .active {
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: flex;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
}

.events_filter .wrapper .filter_control .active .ael_el {
  margin-bottom: 15px;
  margin-right: 0;
  margin-left: auto;
}

.events_filter .wrapper .filter_control .active .reset_all {
  margin-left: auto;
}

.events_filter .wrapper .fc-header-toolbar {
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: flex;
  -webkit-align-items: center;
  align-items: center;
  -webkit-justify-content: center;
  justify-content: center;
  margin-bottom: 15px;
}

.events-calendar-wrapper .wrapper {
  position: relative;
}

.events-calendar-wrapper .spinner-wrapper {
  border-radius: 6px;
}

#events-calendar.loading .fc-view-harness .fc-view {
  opacity: 0;
}

#events-calendar {
  --fc-small-font-size: 0.85em;
  --fc-page-bg-color: #fff;
  --fc-neutral-bg-color: rgba(27, 134, 141, 0.15);
  --fc-neutral-text-color: rgba(27, 134, 141, 0.6);
  --fc-border-color: #f0f0f0;
  --fc-button-text-color: #fff;
  --fc-button-bg-color: #0c878e;
  --fc-button-border-color: #0c878e;
  --fc-button-hover-bg-color: #0c878e;
  --fc-button-hover-border-color: #0c878e;
  --fc-button-active-bg-color: #0c878e;
  --fc-button-active-border-color: #0c878e;
  --fc-event-text-color: #202020;
  --fc-today-bg-color: rgba(27, 135, 142, 0.05);
  --fc-now-indicator-color: #0c878e;
  --fc-list-event-hover-bg-color: rgba(27, 134, 141, 0.05);
  font-family: "Onest", sans-serif;
  margin-bottom: 180px;
}

#events-calendar .fc-button-primary:focus {
  box-shadow: none;
}

#events-calendar .fc-view-harness {
  background: #fff;
  border-radius: 6px;
  padding: 16px;
  max-height: 75vh;
}

#events-calendar .fc-view-harness .fc-view {
  inset: 16px;
  opacity: 1;
  transition: opacity 0.5s ease;
}

#events-calendar .fc-view-harness .fc-view .fc-daygrid-day-number {
  font-size: 1em;
  font-weight: 700;
}

#events-calendar .fc-view-harness .fc-view .fc-daygrid-week-number {
  font-size: 0.75em;
  font-style: italic;
  padding: 4px;
}

#events-calendar .fc-view-harness .fc-view .fc-col-header-cell-cushion,
#events-calendar .fc-view-harness .fc-view .fc-list-day-cushion {
  font-family: "Onest", sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 14px;
  line-height: 1.3;
  color: #000000;
}

#events-calendar .fc-view-harness .fc-view .fc-list-day-cushion {
  font-size: 14px;
}

#events-calendar .fc-view-harness .fc-view .fc-list-event-graphic {
  display: none;
}

#events-calendar .fc-view-harness .fc-dayGridDay-view .fc-daygrid-day-events {
  display: flex;
}

#events-calendar .fc-view-harness .fc-dayGridDay-view .event_item_container .event_item {
  width: 200px;
}

#events-calendar .fc-view-harness .fc-dayGridWeek-view .fc-daygrid-day-top {
  display: none;
}

#events-calendar .event_item_container {
  background-color: unset;
  border: 0;
  padding-inline: 8px;
  box-shadow: unset;
  white-space: unset;
}

#events-calendar .event_item_container .event_item {
  display: inline-block;
  width: 100%;
  max-width: 200px;
  border-radius: 6px;
  padding: 8px;
  background-color: rgba(255, 255, 255, 0.65);
}

#events-calendar .event_item_container .event_item .event_item_img {
  border-radius: 6px;
  width: 100%;
  max-width: 184px;
  object-fit: cover;
  height: auto;
  max-height: 100px;
  display: block;
  margin-bottom: 4px;
}

#events-calendar .event_item_container .event_item .event_item_meta {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 4px 0;
  width: 100%;
  max-width: 184px;
  height: 25px;
  background: #faeb20;
  border-radius: 4px;
  font-family: "Onest", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 18px;
  color: #202020;
  margin-bottom: 4px;
}

#events-calendar .event_item_container .event_item .event_item_meta span {
  padding: 0 6px;
}

#events-calendar .event_item_container .event_item .event_item_date {
  font-family: "Onest", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 22px;
  margin-bottom: 4px;
}

#events-calendar .event_item_container .event_item .event_item_title {
  font-family: "Onest", sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 18px;
  line-height: 24px;
  margin-bottom: 4px;
}

#events-calendar .event_item_container .event_item .event_item_locale {
  font-family: "Onest", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 18px;
}

#events-calendar .fc-header-toolbar button {
  border: 0;
  border-radius: 40px;
  padding-inline: 16px;
  height: 38px;
  box-sizing: border-box;
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: flex;
  -webkit-align-items: center;
  align-items: center;
  transition: all 0.28s cubic-bezier(0.4, 0, 0.2, 1);
  transition-property: background, color;
}

#events-calendar .fc-header-toolbar .fc-toolbar-chunk:nth-of-type(1) {
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: flex;
  -webkit-align-items: center;
  align-items: center;
}

#events-calendar .fc-header-toolbar .fc-toolbar-chunk:nth-of-type(1) .fc-prev-button,
#events-calendar .fc-header-toolbar .fc-toolbar-chunk:nth-of-type(1) .fc-next-button {
  cursor: pointer;
  flex-shrink: 0;
  display: inline-grid;
  place-items: center;
  width: 32px;
  height: 32px;
  padding: 0;
  border-radius: 50%;
}

#events-calendar .fc-header-toolbar .fc-toolbar-chunk:nth-of-type(1) .fc-icon-chevron-left {
  margin-left: -3px;
}

#events-calendar .fc-header-toolbar .fc-toolbar-chunk:nth-of-type(1) .fc-icon-chevron-right {
  margin-right: -3px;
}

#events-calendar .fc-header-toolbar .fc-toolbar-chunk:nth-of-type(3) .fc-button-group {
  border: 1px solid #979797;
  border-radius: 40px;
}

#events-calendar .fc-header-toolbar .fc-toolbar-chunk:nth-of-type(3) button {
  background-color: transparent;
  color: var(--fc-button-bg-color, #0c878e);
}

#events-calendar .fc-header-toolbar .fc-toolbar-chunk:nth-of-type(3) button.fc-button-active {
  background: var(--fc-button-bg-color, #0c878e);
  color: #fff;
}

#events-calendar .fc-header-toolbar .fc-toolbar-title {
  font-family: "Onest", sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 28px;
  line-height: 32px;
  text-align: center;
  color: #000000;
}

@media (max-width: 600px) {
  #events-calendar .fc-header-toolbar {
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: flex;
    flex-direction: column-reverse;
    gap: 0.5em;
  }
}

#events-calendar * {
  scrollbar-width: auto;
  scrollbar-color: #0c878e #fff;
}

#events-calendar *::-webkit-scrollbar {
  width: 5px;
}

#events-calendar *::-webkit-scrollbar-track {
  background: #ffffff;
}

#events-calendar *::-webkit-scrollbar-thumb {
  background-color: #0c878e;
  border-radius: 10px;
}
